Subject: [IGSMAIL-75] Storage problems at Scripps
From: Yehuda Bock
Date: 19 AUG 1992 10:38:35

***********************************************************************
IGS Electronic Mail       20-AUG-1992 11:08:20       Message Number 75
***********************************************************************
 
==============================================================================
                   THIS FILE CONTAINS 3 MESSAGES
==============================================================================

From:    Yehuda Bock
Subject: Storage problems at Scripps
         ---------------------------

We have a serious problem with the Epoch optical storage device
at Scripps. The SONY "repairman" is here trying to fix the problem.
Hopefully we will be back up this week. If not, we will try to
set up another data access method by next week.
Sorry for the inconvenience and we will try to be back on line
as soon as possible.

-- Yehuda Bock

==============================================================================

From:    Ulf Lindqwister
Subject: Rogue and AS
         ------------

Dear Werner,

We have now identified several problems in the handling of GPS
data when AS is on for Rogue receivers:

1. The ephmeris was not stored in the Rogue for block II satellites
when AS was on. This is a bug in the Rogue software we know how to fix.

2. Data uploaded from the Rogue using 'Enter datatype index >' A or B
(STD format or packed STD format) will have a loss in precision
for L2 when AS is on. Data uploaded with 'Enter datatype index >' 1 or 2
(STD format or packed STD format) will have no such loss in precision.
The reason is that the data obtained with the A or B selections receives
it from the efficient data handler using the 4 Mbyte board (internally
called rmgr) whereas the 1 or 2 options retrieves the data from the old
data handler, which uses a 1 Mbyte board to store data (internally 
called dmgr). The new data handler on the Rogue (rmgr) has a bug
in it which causes the L2 variable to lose its precision,
cutting off the last digit as the L2 variable grows larger in size.
(This problem is not present in the old data handler).
This bug has only been localized to a certain area of the Rogue's
software, but it has not been explicitly identified yet.

3. The Rinex converter at JPL did contain a bug which caused it
not to store data from Block II satellites, when AS was on. This
problem has now been fixed, however, due to the above problems
the previous data uploaded when AS was on while using the A or B
options are no good.

Problems 1 and 2 are the most serious ones to fix and a quick
estimate of time for when the corrected software can be installed
at all FLINN Rogue's are weeks to months. This estimate includes finding
the problem, fixing it, testing the new software, copying the
software to PROM's, sending it out to all sites and having it
installed everywhere. Meanwhile, there are several possible
work-arounds:

A. Ignore Block II satellite data for when AS is on.
B. Upload data using data type index '1' (or '2'). Since the data
comes from the old data handler, less storage is possible, so 4
uploads/day are necessary if the sample rate stays at 30 sec
(and you have the 1 Mb + 4 Mb hardware configuration in the Rogue).
Note that this option can be used either all the time, even when AS
is not on, or it can be used only when AS is on. It is important
to remember to concatenate the files correctly if 4 uploads
are done/day. The phase data should be continuous whithin each
rinex file after concatenation.

We appreciate very much your patience, while we address these
difficulties.

Sincerely,

Ulf Lindqwister,
GPS Networks and Operations Group

Address:
MS: 238-600
JPL
Pasadena, CA 91109

Phone:
(818) 354 1734

Email:
[email-masked]

==============================================================================

From:    James F. Zumberge
Subjec:  JPL analysis results
         --------------------

Submitted by

J F Zumberge, G Blewitt, M B Heflin, D C Jefferson, F H Webb

all at the Jet Propulsion Laboratory, California Institute of Technology, 
Pasadena, CA  91109.

The following files have been posted on BODHI (for access to BODHI contact
[email-masked]):

______________________________________________________________________________
filename               contents
______________________________________________________________________________
jpl06567.sum           This text file.
jpl06567.erp           Earth rotation parameters for GPS week 656.
jpl06567.sp1           GPS ephemerides for GPS week 656, sp1 format.
jpl06567.sp3            "       "       "   "   "    " , sp3   "   .
______________________________________________________________________________

Our statement in last week's submission regarding absence of broadcast
ephemerides for Block II satellites during periods of A-S was incorrect. It
is a bug which has been found in the Rogue receiver software.

Additionally, as pointed out by Gurtner, the Rogues currently put out noisy
L1-L2 when operating in cross-correlated mode (as is typical
during periods when A-S is on.) The cause of this has been isolated to a 
bug somewhere in the RAM data manager module which causes a loss of
precision only for codeless data as it is being written to memory. It is
definitely not a fundamental problem with the tracking loop software.

Our results for GPS week 656 therefore exclude Aug 2 and Aug 8 (Sunday &
Saturday), when A-S was on. A-S was also in effect for the first 10
hours of Monday. Our results for Monday are based only on the non-A-S
portion of the day.

Other than A-S, the only noteworthy comment regarding the week is the poorly-
modeled behaviour of prn 15 on August 6. Although the weekly orbit file
contains results for this satellite and day (the data were heavily deweighted),
we believe that the broadcast ephemeris is more accurate.

WARNING: Satellite prn15 is poorly modeled on August 6.

JPL UTPM TABLE                              GPS week 656 (1992 Aug 03  - Aug 07)
  MJD       X        Y       UT1R-UTC XSIG    YSIG   UTSIG  RMS  XYC  XUC  YUC STA SAT PASS    
           ''        ''        sec     ''     ''      sec
 48837.5  -.08402   .45261   .00000  .00018  .00021  .00000  .0  .07  .00  .00  28 17  0
 48838.5  -.08180   .45443   .00000  .00008  .00009  .00000  .0  .00  .00  .00  28 17  0
 48839.5  -.07999   .45633   .00000  .00008  .00009  .00000  .0 -.02  .00  .00  28 17  0
 48840.5  -.07807   .45812   .00000  .00009  .00009  .00000  .0  .05  .00  .00  28 17  0
 48841.5  -.07627   .46041   .00000  .00009  .00010  .00000  .0  .03  .00  .00  28 17  0
END UTPM TABLE

The following table indicates the "orbit repeatability", as defined in IGS Mail
Message 37, for GPS week 656 (excluding Aug 2 and Aug 8):

JPL ORBIT REPEATABILITY TABLE                GPS week 656 (1992 Aug 03 - Aug 07)
                 92  8  3   92  8  4   92  8  5   92  8  6   92  8  7
prn    rms (m)
  2                  2.2        1.97       1.50       1.31       1.2 
  3                  0.7        0.79       0.72       0.77       0.4 
 11                  0.3        0.32       0.20       0.54       0.6 
 12                  0.3        0.57       0.54       0.49       0.4 
 13                  0.3        0.32       0.70       0.46       0.7 
 14                  0.6        0.60       1.02       1.04       1.2 
 15                  1.9        1.68       1.7                       
 16                  0.9        0.95       0.66       0.78       0.9 
 17                  1.0        1.03       1.00       0.94       0.4 
 18                  0.7        0.42       0.85       0.70       0.5 
 19                  0.4        0.70       0.59       0.47       0.7 
 20                  0.8        1.17       1.15       1.54       2.3 
 21                  0.9        0.98       1.00       1.21       0.9 
 23                  0.6        0.41       0.52       0.69       1.1 
 24                  0.4        0.51       0.67       0.70       1.0 
 25                  0.3        0.82       0.76       0.71       0.8 
 28                  0.8        0.78       0.79       0.61       0.5 
END ORBIT REPEATABILITY TABLE

As described in IGS Mail Message 37, the following table compares the JPL
precise ephemerides with those from the broadcast ephemeris:

JPL COMPARISON OF BROADCAST NAVIGATION MESSAGE WITH PRECISE EPHEMERIDES
                 92  8  3   92  8  4   92  8  5   92  8  6   92  8  7
prn    rms (m)
  2                  4.0        4.3        5.3        5.6        5.6 
  3                  8.0       12.9        8.5        9.8       13.3 
 11                  8.3        9.4        8.7        7.6        7.7 
 12                  8.0       13.3        7.5       22.1        7.9 
 13                  6.3        7.1        6.0        8.4        9.7 
 14                  8.2        8.1        7.5        6.7        7.3 
 15                  8.2        7.7        6.4       28.6        5.7 
 16                  7.2        8.8        8.4       11.5        9.6 
 17                  6.5        8.3        6.7        6.3        5.8 
 18                  3.8        4.6        5.1        6.4        9.5 
 19                  4.1        3.8        4.3        3.9        4.1 
 20                  3.6        3.9        4.7        6.3        3.8 
 21                  8.1        8.3        6.9        5.6        4.1 
 23                  3.4        7.4        9.5        8.3        7.3 
 24                 11.3       10.9       10.4       11.2       12.4 
 25                  7.6       11.7       12.1        9.4       10.0 
 28                  2.9        3.2        4.1        2.8        3.2 
END COMPARISON OF BROADCAST NAVIGATION MESSAGE WITH PRECISE EPHEMERIDES